Entities\Message:
    type: entity
    table: messages
    repositoryClass: Repositories\MessageRepository
    id:
        id:
            type: integer
            generator:
                strategy: AUTO
    fields:
        subject:
            type: string
            nullable: false
            length: 60
        content:
            type: string
            nullable: false
            length: 255
        is_new:
            type: boolean
            nullable: false
        sent:
            type: datetime
            gedmo:
                timestampable:
                    on: create
    manyToOne:
        contact:
            targetEntity: Entities\Contact
    lifecycleCallbacks: { }